/*********************************************************************
** AreaBuilder is a program designed to build maps for MUDS like    **
** Anatolia.                                                        **
** Copyright (C) 2003 Pierre Chatelier                              **
**                                                                  **
** This program is free software; you can redistribute              **
** it and/or modify it under the terms of the GNU                   **
** General Public License as published by the                       **
** Free Software Foundation, version 2.                             **
**                                                                  **
** This program is distributed in the hope that it will be          **
** useful, but WITHOUT ANY WARRANTY; without even the implied       **
** warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. **
** See the GNU General Public License for more details.             **
**                                                                  **
** You should have received a copy of the                           **
** GNU General Public License along with this program; if not,      **
** write to the Free Software Foundation,                           **
** Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA      **
*********************************************************************/
package areabuilder;

import java.io.*;

abstract public class AnatoliaAreReader
{
  AreaMap areaMap = null;

  public AnatoliaAreReader(AreaMap areaMap)
  {
    this.areaMap = areaMap;
  }

  abstract public void read(BufferedReader input) throws IOException;

  public static String trim(BufferedReader input) throws IOException
  {
    String line = null;
    do
    {
      line = input.readLine().trim();
      int star  = line.indexOf("*");
      int tilde = line.indexOf("~");
      if (star>=0 && (tilde < star))
      {
        line = line.substring(0,star).trim();
      }
    } while(line.trim().equals(""));
    return line;
  }

  public static String removeElementsFromString(String elements, String theString)
  {
    if  ((elements == null) || (theString == null)) return theString;
    StringBuffer buffer = new StringBuffer(theString);
    for(int i=0 ; i<elements.length() ; ++i)
    {
      for(int j=0 ; j<buffer.length() ; ++j)
      {
        if (buffer.charAt(j) == elements.charAt(i)) buffer.deleteCharAt(j--);
      }
    }
    return buffer.toString();
  }
}