/*********************************************************************
** AreaBuilder is a program designed to build maps for MUDS like    **
** Anatolia.                                                        **
** Copyright (C) 2003 Pierre Chatelier                              **
**                                                                  **
** This program is free software; you can redistribute              **
** it and/or modify it under the terms of the GNU                   **
** General Public License as published by the                       **
** Free Software Foundation, version 2.                             **
**                                                                  **
** This program is distributed in the hope that it will be          **
** useful, but WITHOUT ANY WARRANTY; without even the implied       **
** warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. **
** See the GNU General Public License for more details.             **
**                                                                  **
** You should have received a copy of the                           **
** GNU General Public License along with this program; if not,      **
** write to the Free Software Foundation,                           **
** Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA      **
*********************************************************************/
package areabuilder;

import java.io.*;
import java.util.*; //pour StringTokenizer

public class AnatoliaOMProgsReader extends AnatoliaAreReader
{
  public AnatoliaOMProgsReader(AreaMap areaMap)
  {
    super(areaMap);
  }

  public void read(BufferedReader input) throws IOException
  {
    String line = super.trim(input);
    StringTokenizer tokens = null;
    while(!line.startsWith("S"))
    {
      //<M or O> <vnum> <special_type> <special_function>
      tokens = new StringTokenizer(line);
      String type = tokens.nextToken();
      int vnum = MyInteger.parseInt(tokens.nextToken());
      String prog = tokens.nextToken();
      String function = tokens.nextToken();

      if (type.equals("O"))
      {
        AnatoliaObject object = (AnatoliaObject) areaMap.theObjects.getAnatoliaThingOfVnum(vnum);
        int special = AreaBuilderConsts.findInTab(AnatoliaConsts.objectProgTexts, prog);
        if (special>=0) object.specialProgs[special] = new String(function);
      }
      else if (type.equals("M"))
      {
        AnatoliaMobile mobile = (AnatoliaMobile) areaMap.theMobiles.getAnatoliaThingOfVnum(vnum);
        int special = AreaBuilderConsts.findInTab(AnatoliaConsts.mobileProgTexts, prog);
        if (special>=0) mobile.specialProgs[special] = new String(function);
      }

      line = super.trim(input);
    }
  }
}