/*********************************************************************
** AreaBuilder is a program designed to build maps for MUDS like    **
** Anatolia.                                                        **
** Copyright (C) 2003 Pierre Chatelier                              **
**                                                                  **
** This program is free software; you can redistribute              **
** it and/or modify it under the terms of the GNU                   **
** General Public License as published by the                       **
** Free Software Foundation, version 2.                             **
**                                                                  **
** This program is distributed in the hope that it will be          **
** useful, but WITHOUT ANY WARRANTY; without even the implied       **
** warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. **
** See the GNU General Public License for more details.             **
**                                                                  **
** You should have received a copy of the                           **
** GNU General Public License along with this program; if not,      **
** write to the Free Software Foundation,                           **
** Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA      **
*********************************************************************/
package areabuilder;

import java.io.*; //for archivation

abstract public class AnatoliaThing extends LinkingAndSelectableNodeObject implements Serializable
{
  protected AnatoliaCollection myCollection = null;

  private int vnum=0;
  private boolean extern=false;

  public boolean isExtern() {return extern;}
  public void setExtern(boolean isExtern) {this.extern = isExtern;}

  public int getVnum() {return vnum;}
  public void setVnum(int vnum,boolean check)
  {
    if (check)
    {
      myCollection.setVnum(this, vnum);
    }
    else
    {
      this.vnum = vnum;
    }
  }

  public void setVnum(int vnum) {myCollection.setVnum(this, vnum);}
  public void imposeVnum(int vnum) {this.vnum = vnum;myCollection.imposeVnum(this, vnum);}

  public AnatoliaThing(AnatoliaCollection anatoliaCollection)
  {
    super();
    this.myCollection = anatoliaCollection;
    myCollection.setToFirstFreeVnum(this);
  }

   public void writeObject(ObjectOutputStream output) throws IOException
   {
      output.writeLong(super.getObjectID());
      output.writeInt(vnum);
      output.writeBoolean(extern);
   }

   public void readObject(ObjectInputStream input) throws IOException, ClassNotFoundException
   {
      super.setObjectID(input.readLong());
      vnum = input.readInt();
      extern = input.readBoolean();
   }

  abstract public String toString();
  abstract public void establishLinks();

}