/*********************************************************************
** AreaBuilder is a program designed to build maps for MUDS like    **
** Anatolia.                                                        **
** Copyright (C) 2003 Pierre Chatelier                              **
**                                                                  **
** This program is free software; you can redistribute              **
** it and/or modify it under the terms of the GNU                   **
** General Public License as published by the                       **
** Free Software Foundation, version 2.                             **
**                                                                  **
** This program is distributed in the hope that it will be          **
** useful, but WITHOUT ANY WARRANTY; without even the implied       **
** warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. **
** See the GNU General Public License for more details.             **
**                                                                  **
** You should have received a copy of the                           **
** GNU General Public License along with this program; if not,      **
** write to the Free Software Foundation,                           **
** Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA      **
*********************************************************************/
package areabuilder;

import java.io.File;
import java.util.Properties;
import javax.swing.*;
import javax.swing.filechooser.*;

public class AreaBuilderProjectFileFilter extends FileFilter
{
    public AreaBuilderProjectFileFilter()
    {
    }

    // Accept all directories and *.abp files.
    public boolean accept(File f)
    {
       if (f.isDirectory()) return true;
       String name = f.getName();
       int pos = name.lastIndexOf(".");
       if (pos < 0) return false;
       String extension = name.substring(pos+1);
       if (extension.toLowerCase().equals("abp")) return true;
       return false;
    }

    // The description of this filter
    public String getDescription()
    {
        return "Area Builder Project files (*.abp)";
    }
}
