/*********************************************************************
** AreaBuilder is a program designed to build maps for MUDS like    **
** Anatolia.                                                        **
** Copyright (C) 2003 Pierre Chatelier                              **
**                                                                  **
** This program is free software; you can redistribute              **
** it and/or modify it under the terms of the GNU                   **
** General Public License as published by the                       **
** Free Software Foundation, version 2.                             **
**                                                                  **
** This program is distributed in the hope that it will be          **
** useful, but WITHOUT ANY WARRANTY; without even the implied       **
** warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. **
** See the GNU General Public License for more details.             **
**                                                                  **
** You should have received a copy of the                           **
** GNU General Public License along with this program; if not,      **
** write to the Free Software Foundation,                           **
** Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA      **
*********************************************************************/
package areabuilder;

import java.awt.event.*;
import javax.swing.*;
import java.util.*; //HashSet

public class ButtonGroupMaybeNone implements ActionListener
{
  protected Set buttonGroup = new HashSet();

  public void add(JToggleButton button)
  {
     buttonGroup.add(button);
     button.addActionListener(this);
  }
  public void remove(JToggleButton button)
  {
     buttonGroup.remove(button);
     button.removeActionListener(this);
  }

  public void actionPerformed(ActionEvent e)
  {
     JToggleButton source = (JToggleButton) e.getSource();
     if (source.isSelected())
     {
        Iterator it = buttonGroup.iterator();
        JToggleButton other = null;
        while (it.hasNext())
        {
           other = (JToggleButton) it.next();
           if (other != source) other.setSelected(false);
        }
     }
  }
}