/*********************************************************************
** AreaBuilder is a program designed to build maps for MUDS like    **
** Anatolia.                                                        **
** Copyright (C) 2003 Pierre Chatelier                              **
**                                                                  **
** This program is free software; you can redistribute              **
** it and/or modify it under the terms of the GNU                   **
** General Public License as published by the                       **
** Free Software Foundation, version 2.                             **
**                                                                  **
** This program is distributed in the hope that it will be          **
** useful, but WITHOUT ANY WARRANTY; without even the implied       **
** warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. **
** See the GNU General Public License for more details.             **
**                                                                  **
** You should have received a copy of the                           **
** GNU General Public License along with this program; if not,      **
** write to the Free Software Foundation,                           **
** Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA      **
*********************************************************************/
 package areabuilder;

import java.awt.*;
import javax.swing.*;
import javax.swing.tree.*;

public class StringLocation extends JButton
{
  AreaMap areaMap = null;
  AnatoliaThing anatoliaThing = null;

  public StringLocation(AreaMap areaMap, AnatoliaThing anatoliaThing)
  {
    super(anatoliaThing.toString(), Icones.getIcon(anatoliaThing));
    this.areaMap = areaMap;
    this.anatoliaThing = anatoliaThing;
  }

  public String toString() {return anatoliaThing.toString();}

  public void fetch()
  {
    try
    {
      if (anatoliaThing == null) return;
      TreePath path = new TreePath(anatoliaThing.getPath());
      areaMap.objectTree.treeOfObjects.setSelectionPath(path);
      areaMap.objectTree.treeOfObjects.scrollPathToVisible(path);
    }
    catch(Exception e) {}
    try
    {
      AnatoliaRoom room = (AnatoliaRoom) anatoliaThing;
      areaMap.anatoliaRoomDialog.showFor(room.myRoom, this);
    }
    catch(Exception e) {}
    try
    {
      AnatoliaMobile mobile = (AnatoliaMobile) anatoliaThing;
      areaMap.anatoliaMobileDialog.showFor(mobile, this);
    }
    catch(Exception e) {}
    try
    {
      AnatoliaObject object = (AnatoliaObject) anatoliaThing;
      areaMap.anatoliaObjectDialog.showFor(object, this);
    }
    catch(Exception e) {}
  }
}