/*********************************************************************
** AreaBuilder is a program designed to build maps for MUDS like    **
** Anatolia.                                                        **
** Copyright (C) 2003 Pierre Chatelier                              **
**                                                                  **
** This program is free software; you can redistribute              **
** it and/or modify it under the terms of the GNU                   **
** General Public License as published by the                       **
** Free Software Foundation, version 2.                             **
**                                                                  **
** This program is distributed in the hope that it will be          **
** useful, but WITHOUT ANY WARRANTY; without even the implied       **
** warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. **
** See the GNU General Public License for more details.             **
**                                                                  **
** You should have received a copy of the                           **
** GNU General Public License along with this program; if not,      **
** write to the Free Software Foundation,                           **
** Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA      **
*********************************************************************/
package areabuilder;

public class ThreeSome extends Pair
{
  protected Object o3;

  public ThreeSome()
  {
     super();
     this.o3 =  null;
  }
  public ThreeSome(Object o1, Object o2, Object o3)
  {
     super(o1,o2);
     this.o3 = o3;
  }

  public boolean equals(ThreeSome otherThreeSome)
  {
     if (otherThreeSome == null) return false;
     return (o3.equals(otherThreeSome.o3) && super.equals(otherThreeSome));
  }

  public Object clone()
  {
     return new ThreeSome(o1,o2,o3);
  }

  public Object getThird()  {return o3;}
  public void setTHird(Object o)  {o3=o;}
}