/*********************************************************************
** AreaBuilder is a program designed to build maps for MUDS like    **
** Anatolia.                                                        **
** Copyright (C) 2003 Pierre Chatelier                              **
**                                                                  **
** This program is free software; you can redistribute              **
** it and/or modify it under the terms of the GNU                   **
** General Public License as published by the                       **
** Free Software Foundation, version 2.                             **
**                                                                  **
** This program is distributed in the hope that it will be          **
** useful, but WITHOUT ANY WARRANTY; without even the implied       **
** warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. **
** See the GNU General Public License for more details.             **
**                                                                  **
** You should have received a copy of the                           **
** GNU General Public License along with this program; if not,      **
** write to the Free Software Foundation,                           **
** Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA      **
*********************************************************************/
package areabuilder;

import javax.swing.tree.*;

public class UndoableActionObjectTreeNodeAdd extends UndoableActionObjectTree
{
  DefaultMutableTreeNode node = null;
  DefaultMutableTreeNode parent = null;
  int rank = 0;

  public UndoableActionObjectTreeNodeAdd(ObjectTree objectTree, DefaultMutableTreeNode node, DefaultMutableTreeNode parent, boolean automatic)
  {
    super(objectTree, automatic);
    this.parent = parent;
    this.node = node;
  }
  public UndoableActionObjectTreeNodeAdd(ObjectTree objectTree, DefaultMutableTreeNode node, DefaultMutableTreeNode parent)
  {
    super(objectTree);
    this.parent = parent;
    this.node = node;
  }

  public void doAction()
  {
    objectTree.addNode(node, parent);
  }

  public void undoAction()
  {
    rank = objectTree.removeNode(node);
  }

  public void redoAction()
  {
    objectTree.addNode(node, parent, rank);
  }
}